Skip to content

List all the groups on behalf of the given member in the given data partition.

Request

This lists all the groups of the given member in the given data partition. Required roles: users.datalake.admins

Security
bearer
Path
member_emailstringrequired

member email

Default:"member@{domain}.com"
Query
typestring

type

Default:"NONE"
Enum:"NONE""DATA""USER""SERVICE"
appidstring

appid

Headers
data-partition-idstringrequired

desired data partition id

curl -i -X GET \
  'https://as5.api.enterprisedata.slb.com/api/entitlements/v2/members/{member_email}/groups?type=NONE&appid=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'data-partition-id: string'

Responses

List of all the groups that the given member belongs to.

Bodyapplication/json
groupsArray of objects(GroupRes)
Example:
[ { "name": "users.example.viewers,", "email": "users.datalake.viewers@{datapartition}.{domain}.com,", "description": "This is an user group for example viewers." } ]
Response
{ "groups": [ { … } ] }